//
// This code is part of https://developer.mescius.com/document-solutions/dot-net-word-api/demos.
// Copyright (c) MESCIUS inc. All rights reserved.
//
using System;
using System.IO;
using System.Drawing;
using System.Collections.Generic;
using System.Linq;
using GrapeCity.Documents.Word;

namespace DsWordWeb.Demos
{
    // Change picture brightness.
    public class PicEffBrightness
    {
        public GcWordDocument CreateDocx()
        {
            var doc = new GcWordDocument();
            Util.SetNarrowMargins(doc);
            var captionStyle = doc.Styles.Add("CaptionStyle", doc.Styles[BuiltInStyleId.BodyTextFirstIndent2]);

            // Read image from a file:
            var bytes = File.ReadAllBytes(Path.Combine("Resources", "Images", "wargravepink.jpg"));
            // Original picture:
            doc.Body.AddParagraph().AddRun().AddPicture(bytes, @"image/jpeg", 450, 300);
            doc.Body.AddParagraph("Original picture", captionStyle);
            // Increase picture brightness:
            var picture = doc.Body.AddParagraph().AddRun().AddPicture(bytes, @"image/jpeg", 450, 300);
            picture.ImageData.Brightness = 0.5f;
            doc.Body.AddParagraph($"Picture brightness is {picture.ImageData.Brightness}", captionStyle);
            // Done:
            return doc;
        }
    }
}
